Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface OpenDiagramBehaviour

All Superinterfaces:
  Behaviour, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  OpenDiagramBehaviourImpl

    public interface OpenDiagramBehaviour

extends Behaviour

A representation of the model object 'Open Diagram Behaviour'.

The following features are supported:

- `Edit Policy Class Name`
- `Diagram Kind`
- `Editor ID`
- `Open As Eclipse Editor`

See Also:
  `GMFGenPackage.getOpenDiagramBehaviour()`
** Generated **
Model:

Method Summary
`java.lang.String` `getDiagramKind()` Returns the value of the 'Diagram Kind' attribute
`java.lang.String` `getEditorID()` Returns the value of the 'Editor ID' attribute
`java.lang.String` `getEditPolicyClassName()` Returns the value of the 'Edit Policy Class Name' attribute
`boolean` `isOpenAsEclipseEditor()` Returns the value of the 'Open As Eclipse Editor' attribute.
`void` `setDiagramKind(java.lang.String value)` Sets the value of the '`Diagram Kind`' attribute
`void` `setEditorID(java.lang.String value)` Sets the value of the '`Editor ID`' attribute
`void` `setEditPolicyClassName(java.lang.String value)` Sets the value of the '`Edit Policy Class Name`' attribute
`void` `setOpenAsEclipseEditor(boolean value)` Sets the value of the '`Open As Eclipse Editor`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Behaviour
`getEditPolicyQualifiedClassName, getSubject`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditPolicyClassName

    java.lang.String getEditPolicyClassName()

  Returns the value of the 'Edit Policy Class Name' attribute.

  If the meaning of the 'Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Policy Class Name' attribute.
  See Also:
    `setEditPolicyClassName(String)`, `GMFGenPackage.getOpenDiagramBehaviour_EditPolicyClassName()`
  ** Generated **
  Model:
    required="true"

### setEditPolicyClassName

    void setEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Policy Class Name' attribute.
  See Also:
    `getEditPolicyClassName()`
  ** Generated **

### getDiagramKind

    java.lang.String getDiagramKind()

  Returns the value of the 'Diagram Kind' attribute.

  If the meaning of the 'Diagram Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Kind' attribute.
  See Also:
    `setDiagramKind(String)`, `GMFGenPackage.getOpenDiagramBehaviour_DiagramKind()`
  ** Generated **
  Model:

### setDiagramKind

    void setDiagramKind(java.lang.String value)

  Sets the value of the '`Diagram Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram Kind' attribute.
  See Also:
    `getDiagramKind()`
  ** Generated **

### getEditorID

    java.lang.String getEditorID()

  Returns the value of the 'Editor ID' attribute.

  If the meaning of the 'Editor ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor ID' attribute.
  See Also:
    `setEditorID(String)`, `GMFGenPackage.getOpenDiagramBehaviour_EditorID()`
  ** Generated **
  Model:

### setEditorID

    void setEditorID(java.lang.String value)

  Sets the value of the '`Editor ID`' attribute.

  Parameters:
    `value` - the new value of the 'Editor ID' attribute.
  See Also:
    `getEditorID()`
  ** Generated **

### isOpenAsEclipseEditor

    boolean isOpenAsEclipseEditor()

  Returns the value of the 'Open As Eclipse Editor' attribute. The default value is `"true"`.

  If the meaning of the 'Open As Eclipse Editor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Open As Eclipse Editor' attribute.
  See Also:
    `setOpenAsEclipseEditor(boolean)`, `GMFGenPackage.getOpenDiagramBehaviour_OpenAsEclipseEditor()`
  ** Generated **
  Model:
    default="true"

### setOpenAsEclipseEditor

    void setOpenAsEclipseEditor(boolean value)

  Sets the value of the '`Open As Eclipse Editor`' attribute.

  Parameters:
    `value` - the new value of the 'Open As Eclipse Editor' attribute.
  See Also:
    `isOpenAsEclipseEditor()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.